Limerence
Datasets

Import From History

Import dataset entries from selected chat sessions

POST
/datasets/{datasetId}/import/history

Import dataset entries from selected chat sessions

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

datasetId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/datasets/string/import/history" \  -H "Content-Type: application/json" \  -d '{    "sessionIds": [      "string"    ]  }'
{  "created": 0,  "entries": [    {      "actual": null,      "comments": null,      "createdAt": "string",      "datasetId": "string",      "expected": "string",      "id": "string",      "input": "string",      "origin": "MANUAL",      "parentId": null,      "updatedAt": "string"    }  ],  "skipped": 0}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}